OpenGLRaw-3.3.4.1: A raw binding for the OpenGL graphics system

Copyright | (c) Sven Panne 2019
License | BSD3
Maintainer | Sven Panne <svenpanne@gmail.com>
Stability | stable
Portability | portable
Safe Haskell | None
Language | Haskell2010

Graphics.GL.APPLE.SpecularVector

Contents

- Extension Support
- Enums

Description

Synopsis

- glGetAPPLESpecularVector :: MonadIO m => m Bool
- gl_APPLE_specular_vector :: Bool
- pattern GL_LIGHT_MODEL_SPECULAR_VECTOR_APPLE :: GLenum

# Extension Support

glGetAPPLESpecularVector :: MonadIO m => m Bool Source #

Is the APPLE_specular_vector extension supported?

gl_APPLE_specular_vector :: Bool Source #

Is the APPLE_specular_vector extension supported? Note that in the presence of multiple contexts with different capabilities, this might be wrong. Use `glGetAPPLESpecularVector` in those cases instead.

# Enums

pattern GL_LIGHT_MODEL_SPECULAR_VECTOR_APPLE :: GLenum Source #